(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     25555,        585]
NotebookOptionsPosition[     24580,        550]
NotebookOutlinePosition[     24924,        565]
CellTagsIndexPosition[     24881,        562]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["numerov with  cosine potential", "Text",
 CellChangeTimes->{{3.530623600094739*^9, 3.5306236061891823`*^9}, {
  3.53062819660878*^9, 3.530628199510346*^9}, {3.545474815222856*^9, 
  3.545474816660483*^9}, {3.545476693782196*^9, 3.545476694684114*^9}, {
  3.553525721351308*^9, 3.553525724902641*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "Potential", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"V", "[", "s_", "]"}], ":=", 
     RowBox[{"10", "*", 
      RowBox[{"Cos", "[", "s", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "fix", " ", "size", " ", "of", " ", "hamiltonian", " ", "at", " ", "500",
       " ", "x", " ", "500"}], ",", " ", 
     RowBox[{
      RowBox[{"and", " ", "sample", " ", "s"}], " ", "\[Element]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{"-", "\[Pi]"}], "500"], ",", 
         RowBox[{
          RowBox[{"2", "\[Pi]"}], "-", 
          FractionBox["\[Pi]", "500"]}]}], ")"}], " ", "uniformly"}]}]}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"n", "=", "500"}], ";", 
    RowBox[{"d", "=", 
     RowBox[{"2.", 
      RowBox[{"\[Pi]", "/", "n"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"s", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox[
          RowBox[{"d", " "}], 
          RowBox[{"2.", " "}]]}], "+", 
        RowBox[{"d", " ", "i"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "n"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"calculate", " ", "KE", " ", "matrix"}], ",", " ", 
     RowBox[{
     "impose", " ", "periodic", " ", "boundary", " ", "conditions", " ", "by",
       " ", "coupling", " ", 
      RowBox[{"\[Psi]", "[", "n", "]"}], " ", "and", " ", 
      RowBox[{"\[Psi]", "[", "1", "]"}], " ", "with", " ", "each", " ", 
      "other"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[DoubleStruckCapitalI]", "[", 
      RowBox[{"n_", ",", "d_"}], "]"}], ":=", 
     RowBox[{"DiagonalMatrix", "[", 
      RowBox[{
       RowBox[{"1", "+", 
        RowBox[{"0", 
         RowBox[{"Range", "[", 
          RowBox[{"n", "-", 
           RowBox[{"Abs", "[", "d", "]"}]}], "]"}]}]}], ",", "d"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"B", "=", 
     RowBox[{
      FractionBox["1.", "12"], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[DoubleStruckCapitalI]", "[", 
         RowBox[{"n", ",", 
          RowBox[{"-", "1"}]}], "]"}], "+", 
        RowBox[{"10", " ", 
         RowBox[{"\[DoubleStruckCapitalI]", "[", 
          RowBox[{"n", ",", "0"}], "]"}]}], "+", 
        RowBox[{"\[DoubleStruckCapitalI]", "[", 
         RowBox[{"n", ",", "1"}], "]"}], "+", 
        RowBox[{"\[DoubleStruckCapitalI]", "[", 
         RowBox[{"n", ",", 
          RowBox[{"n", "-", "1"}]}], "]"}], "+", 
        RowBox[{"\[DoubleStruckCapitalI]", "[", 
         RowBox[{"n", ",", 
          RowBox[{
           RowBox[{"-", "n"}], "+", "1"}]}], "]"}]}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"A", "=", 
     RowBox[{
      FractionBox["1", 
       RowBox[{" ", 
        SuperscriptBox["d", "2"]}]], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[DoubleStruckCapitalI]", "[", 
         RowBox[{"n", ",", 
          RowBox[{"-", "1"}]}], "]"}], "-", 
        RowBox[{"2", " ", 
         RowBox[{"\[DoubleStruckCapitalI]", "[", 
          RowBox[{"n", ",", "0"}], "]"}]}], "+", 
        RowBox[{"\[DoubleStruckCapitalI]", "[", 
         RowBox[{"n", ",", "1"}], "]"}], "+", 
        RowBox[{"\[DoubleStruckCapitalI]", "[", 
         RowBox[{"n", ",", 
          RowBox[{"n", "-", "1"}]}], "]"}], "+", 
        RowBox[{"\[DoubleStruckCapitalI]", "[", 
         RowBox[{"n", ",", 
          RowBox[{
           RowBox[{"-", "n"}], "+", "1"}]}], "]"}]}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"KE", "=", 
     RowBox[{
      FractionBox[
       RowBox[{"-", "1"}], "2"], 
      RowBox[{
       RowBox[{"Inverse", "[", "B", "]"}], ".", "A"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", "Hamiltonian", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"H", "=", 
     RowBox[{"KE", "+", 
      RowBox[{"DiagonalMatrix", "[", 
       RowBox[{"V", "[", "s", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Energies", ",", " ", "wavefunctions"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"eval", ",", "evec"}], "}"}], "=", 
     RowBox[{"Eigensystem", "[", "H", "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.5454807045136013`*^9, 3.5454810263476553`*^9}, {
   3.545481070714772*^9, 3.545481248481571*^9}, {3.545481280377705*^9, 
   3.545481444074996*^9}, {3.545481532328985*^9, 3.545481564351429*^9}, {
   3.545481594997755*^9, 3.545481596464952*^9}, {3.545481638480659*^9, 
   3.545481649462401*^9}, 3.545481698379489*^9, {3.545481748217443*^9, 
   3.545481771600506*^9}, {3.545481881237506*^9, 3.545481884263851*^9}, {
   3.5454821083724937`*^9, 3.545482113626301*^9}, 3.545482318114657*^9, {
   3.54548237055591*^9, 3.545482396617209*^9}, {3.54548267675106*^9, 
   3.54548267815862*^9}, {3.545490339034691*^9, 3.545490361958728*^9}, {
   3.545505955030525*^9, 3.545505985532735*^9}, {3.545520885789357*^9, 
   3.545520885865256*^9}, {3.545597792271346*^9, 3.54559779355485*^9}, {
   3.545597845911177*^9, 3.545597846283668*^9}, {3.545597984766468*^9, 
   3.545597988231521*^9}, {3.545598426714167*^9, 3.545598479190337*^9}, {
   3.54559851306453*^9, 3.545598537830048*^9}, {3.545598724924129*^9, 
   3.545598725321041*^9}, {3.545598773538054*^9, 3.545598776154125*^9}, {
   3.545598842274657*^9, 3.545598842585749*^9}, {3.545598873915232*^9, 
   3.545598888494315*^9}, {3.54559910914109*^9, 3.545599109716448*^9}, {
   3.545599203544777*^9, 3.545599230580773*^9}, {3.545599265954526*^9, 
   3.545599266399398*^9}, {3.545599338414253*^9, 3.545599436791551*^9}, {
   3.545599607175991*^9, 3.545599608628287*^9}, {3.545599646356744*^9, 
   3.545599660494844*^9}, {3.545599713595573*^9, 3.545599745634359*^9}, {
   3.54559980371356*^9, 3.545599835613295*^9}, {3.545684032905033*^9, 
   3.545684059091078*^9}, {3.545685508691888*^9, 3.545685518075529*^9}, {
   3.545685566112943*^9, 3.545685592295298*^9}, {3.54568563658533*^9, 
   3.545685639744339*^9}, {3.545730204604123*^9, 3.545730252991778*^9}, {
   3.545730459654626*^9, 3.545730471601224*^9}, {3.553525589683142*^9, 
   3.5535255910262766`*^9}, {3.553525728286641*^9, 3.553525758348641*^9}, {
   3.553525810809641*^9, 3.5535258816216407`*^9}, {3.553525916639641*^9, 
   3.553525917539641*^9}, 3.5535267720049725`*^9, {3.5535271287406425`*^9, 
   3.5535271517009387`*^9}, {3.553527276506418*^9, 3.553527279977765*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"numerov", "[", "j_", "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"s", "[", 
       RowBox[{"[", "i", "]"}], "]"}], ",", 
      FractionBox[
       RowBox[{
        RowBox[{"evec", "[", 
         RowBox[{"[", "j", "]"}], "]"}], "[", 
        RowBox[{"[", "i", "]"}], "]"}], 
       SuperscriptBox["d", "0.5"]]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5535254436895447`*^9, 3.553525514479623*^9}, 
   3.5535255684340177`*^9, {3.553530220151789*^9, 3.5535302274627895`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"numerov", "[", 
   RowBox[{"-", "15"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.553525541022277*^9, 3.553525578689043*^9}, 
   3.5535256962948027`*^9}],

Cell[BoxData[
 GraphicsBox[
  {Hue[0.67, 0.6, 0.6], PointBox[CompressedData["
1:eJwdmXc8Vf8fx41r73uNSxTKaBlFifh8jIrslVBfVFYZpayMhBalSELDXpmZ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    "]]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  PlotRange->Automatic,
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{{3.55352554365654*^9, 3.5535255790980835`*^9}, 
   3.553525696562829*^9, {3.5535258927136407`*^9, 3.553525921366641*^9}, {
   3.553526779071679*^9, 3.5535267991536875`*^9}, 3.5535269979625664`*^9, 
   3.553530229458789*^9, 3.553530317954789*^9, 3.553530889565917*^9, 
   3.553532548096587*^9, 3.55353415827975*^9, 3.553537615892121*^9}]
}, Open  ]],

Cell["Theoretical Eigenvalues", "Text",
 CellChangeTimes->{{3.5535303317297893`*^9, 3.5535303402857895`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"v", "=", "10"}], ";"}]], "Input",
 CellChangeTimes->{{3.553526578066641*^9, 3.553526581270641*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eths", "=", 
   RowBox[{"Sort", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"8", "^", 
          RowBox[{"-", "1"}]}], "*", 
         RowBox[{"MathieuCharacteristicB", "[", 
          RowBox[{"r", ",", 
           RowBox[{"4", "*", "v"}]}], "]"}]}], "//", "N"}], ",", 
       RowBox[{"{", 
        RowBox[{"r", ",", "1", ",", "50"}], "}"}]}], "]"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", "#1", "]"}], "<", 
       RowBox[{"Abs", "[", "#2", "]"}]}], "&"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5535375032437983`*^9, 3.553537576283467*^9}, 
   3.553537655703576*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ethc", "=", 
   RowBox[{"Sort", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"8", "^", 
          RowBox[{"-", "1"}]}], "*", 
         RowBox[{"MathieuCharacteristicA", "[", 
          RowBox[{"r", ",", 
           RowBox[{"4", "*", "v"}]}], "]"}]}], "//", "N"}], ",", 
       RowBox[{"{", 
        RowBox[{"r", ",", "1", ",", "50"}], "}"}]}], "]"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", "#1", "]"}], "<", 
       RowBox[{"Abs", "[", "#2", "]"}]}], "&"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5535375032437983`*^9, 3.5535375943327827`*^9}, {
  3.5535376569827843`*^9, 3.5535376599000025`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"Theory", " ", "Eigenvalues"}], "*)"}]], "Input",
 CellChangeTimes->{{3.5535380799763985`*^9, 3.5535380859508543`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eth", "=", 
   RowBox[{"Sort", "[", 
    RowBox[{
     RowBox[{"Join", "[", 
      RowBox[{"eths", ",", "ethc"}], "]"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", "#1", "]"}], "<", 
       RowBox[{"Abs", "[", "#2", "]"}]}], "&"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5535376298854103`*^9, 3.553537650602343*^9}, 
   3.5535377195235853`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"eth", "[", 
  RowBox[{"[", 
   RowBox[{";;", "20"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.553537719991588*^9, 3.5535377226592054`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.2162061345808485`", ",", "0.21625570359548082`", ",", 
   RowBox[{"-", "2.5259906738784856`"}], ",", 
   RowBox[{"-", "2.5259926034941467`"}], ",", "2.790659542639532`", ",", 
   "2.7915185586615583`", ",", "5.168719302207511`", ",", 
   "5.179125653317276`", ",", 
   RowBox[{"-", "5.419034360630269`"}], ",", 
   RowBox[{"-", "5.419034406476153`"}], ",", "7.278885100766697`", ",", 
   "7.365297442963479`", ",", 
   RowBox[{"-", "8.450769029120965`"}], ",", "8.95525779915822`", ",", 
   "9.389393504980095`", ",", "10.229048242202785`", ",", 
   "11.391973998796907`", ",", "11.645707534628665`", ",", 
   "13.5557520585263`", ",", "13.599188694800777`"}], "}"}]], "Output",
 CellChangeTimes->{3.553537722815206*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"Numerov", " ", "Eigenvalues"}], "*)"}]], "Input",
 CellChangeTimes->{{3.553538072098853*^9, 3.5535380776365337`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"evals", "=", 
   RowBox[{"Sort", "[", 
    RowBox[{"eval", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", "#1", "]"}], "<", 
       RowBox[{"Abs", "[", "#2", "]"}]}], "&"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.553530949252885*^9, 3.5535309621171713`*^9}, {
  3.5535313482137775`*^9, 3.5535313488858447`*^9}, {3.553531590592013*^9, 
  3.5535315928642397`*^9}, {3.5535322395265875`*^9, 3.5535322851395874`*^9}, {
  3.553534871625471*^9, 3.553534871785487*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"evals", "[", 
  RowBox[{"[", 
   RowBox[{";;", "20"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.5535322517005873`*^9, 3.5535322572205873`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.21625557184503208`", ",", 
   RowBox[{"-", "2.5259926622456`"}], ",", "2.7906593074512838`", ",", 
   "5.17912529389722`", ",", 
   RowBox[{"-", "5.419034378835671`"}], ",", "7.278884654113808`", ",", 
   RowBox[{"-", "8.450769032467976`"}], ",", "9.389392853441258`", ",", 
   "10.229047779584509`", ",", "13.555750679703213`", ",", 
   "13.599187359971904`", ",", "18.718394404761156`", ",", 
   "18.718864843146427`", ",", "25.02004583287222`", ",", 
   "25.02004800289468`", ",", "32.39529646908062`", ",", "32.3952964743079`", 
   ",", "40.811099022607`", ",", "40.811099022613305`", ",", 
   "50.251377692251495`"}], "}"}]], "Output",
 CellChangeTimes->{{3.5535322573585873`*^9, 3.5535322866345873`*^9}, 
   3.5535325554745874`*^9, {3.5535340984197493`*^9, 3.5535341308867493`*^9}, {
   3.5535341661337495`*^9, 3.55353418991675*^9}, {3.5535348746087694`*^9, 
   3.5535348869129996`*^9}, 3.553534920706379*^9, 3.5535376193397427`*^9, 
   3.5535376733160887`*^9}]
}, Open  ]]
},
WindowSize->{740, 867},
WindowMargins->{{-7, Automatic}, {Automatic, 0}},
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 306, 4, 29, "Text"],
Cell[866, 26, 6646, 161, 386, "Input"],
Cell[7515, 189, 642, 18, 47, "Input"],
Cell[CellGroupData[{
Cell[8182, 211, 209, 5, 31, "Input"],
Cell[8394, 218, 11027, 184, 228, "Output"]
}, Open  ]],
Cell[19436, 405, 109, 1, 29, "Text"],
Cell[19548, 408, 134, 3, 31, "Input"],
Cell[19685, 413, 704, 21, 52, "Input"],
Cell[20392, 436, 733, 21, 52, "Input"],
Cell[21128, 459, 159, 3, 31, "Input"],
Cell[21290, 464, 409, 12, 31, "Input"],
Cell[CellGroupData[{
Cell[21724, 480, 168, 4, 31, "Input"],
Cell[21895, 486, 762, 14, 69, "Output"]
}, Open  ]],
Cell[22672, 503, 158, 3, 31, "Input"],
Cell[22833, 508, 522, 12, 31, "Input"],
Cell[CellGroupData[{
Cell[23380, 524, 172, 4, 31, "Input"],
Cell[23555, 530, 1009, 17, 69, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
